Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.rest.command
Class GenericRestChainHandler

    java.lang.Object
      com.bea.wlp.rest.command.GenericRestChainHandler

All Implemented Interfaces
  RestChainHandler

    public class GenericRestChainHandler

extends Object
implements RestChainHandler

Basic implementation of a `RestChainHandler` that simply returns the unmodified incoming `RestResult`. This is useful for implementing custom chain handlers without needing to explicitly implement interfaces members that are no-ops, by just overriding the methods that are needed.

Constructor Summary
`GenericRestChainHandler()`

Method Summary
`RestResult` | `doDelete(RestContext restContext, RestResult restResult)` No-op implementation of the DELETE method chain handler.
`RestResult` | `doGet(RestContext restContext, RestResult restResult)` No-op implementation of the GET method chain handler.
`RestResult` | `doPost(RestContext restContext, RestResult restResult)` No-op implementation of the POST method chain handler.
`RestResult` | `doPut(RestContext restContext, RestResult restResult)` No-op implementation of the PUT method chain handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericRestChainHandler

    public GenericRestChainHandler()

Method Detail

### doGet

    public RestResult doGet(RestContext restContext,
                            RestResult restResult)

  No-op implementation of the GET method chain handler.

  Specified by:
    `doGet` in interface `RestChainHandler`
  Parameters
    `restContext` - the `RestContext` that was used to invoke the `RestCommand`
    `restResult` - the `RestResult` returned by the `RestCommand`
  Returns
    the modified `RestResult` assembled by this chain handler

### doPost

    public RestResult doPost(RestContext restContext,
                             RestResult restResult)

  No-op implementation of the POST method chain handler.

  Specified by:
    `doPost` in interface `RestChainHandler`
  Parameters
    `restContext` - the `RestContext` that was used to invoke the `RestCommand`
    `restResult` - the `RestResult` returned by the `RestCommand`
  Returns
    the modified `RestResult` assembled by this chain handler

### doPut

    public RestResult doPut(RestContext restContext,
                            RestResult restResult)

  No-op implementation of the PUT method chain handler.

  Specified by:
    `doPut` in interface `RestChainHandler`
  Parameters
    `restContext` - the `RestContext` that was used to invoke the `RestCommand`
    `restResult` - the `RestResult` returned by the `RestCommand`
  Returns
    the modified `RestResult` assembled by this chain handler

### doDelete

    public RestResult doDelete(RestContext restContext,
                               RestResult restResult)

  No-op implementation of the DELETE method chain handler.

  Specified by:
    `doDelete` in interface `RestChainHandler`
  Parameters
    `restContext` - the `RestContext` that was used to invoke the `RestCommand`
    `restResult` - the `RestResult` returned by the `RestCommand`
  Returns
    the modified `RestResult` assembled by this chain handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved